Benefits of patching IOS36? Will priiloader be safe to install?SYSchec

Discussion in 'Wii - Hacking' started by MasterCAPS, Jun 25, 2012.

  1. MasterCAPS
    OP

    Newcomer MasterCAPS Member

    Joined:
    Jun 24, 2012
    Messages:
    11
    Country:
    United States
    Lets get the sysCheck in the open (sysCheck v2.1.0b18)
    Warning: Spoilers inside!

    My goals after my exems are to:
    1.) SAFLEY install priiloader (100% chance of no-brick) "that is if i cant get boot2"
    2.) install ios58 (on my 4.2u) & forwarder channels
    →** 3.)If possible see what this "patch IOS36" is all about, and why it is on MMM... Suposebly I can patch it to maybe get boot2 working?????

    You see my serial number is just under the limit i think' (LU3615), my wii is 2007 model, and I hacked my virgin wii on 4.2u years ago (thus I have Boot2 v4) So I just want to absolutly sure if i CAN/CANT install bootmii-boot2.... Will patching IOS36 remove the v4 implemented in the boot2 4.2 update? *BTW my hackmii installer says "bootmii can not be installed as boot2; only as an ios", hopefully I can get boot2 though.... (im fuzzy on exactly wahat is 36(system menu), 70(4.2), 236(??trucha what?)

    --What are your thoughts / comments? (Thank you always for your help! :yay: )
     
  2. mauifrog

    Member mauifrog DA KINE WiiHacker

    Joined:
    Jan 21, 2010
    Messages:
    1,585
    Country:
    United States
    A patched ios36 is only used by legacy apps. Historically it was the first ios patched to restore the trucha bug to the wii, enabling cios installation(trucha bug restorer). You can patch it without issue, there is no reason not to. Priiloader will only install on a patched ios36 if the ahbprot flag is disabled in the meta.xml, otherwise priiloader will patch the running ios and install on that via ahbprot when loaded from HBC or equivalent. Some (many) would insist on only making changes to the wii system with a patched ios and avoid ahbprot, patching ios36 accomplishes this however the norm of today is to patch ios36 into ios slot 236. Regardless, patched ios have no effect on your ability to install boot2 bootmii. The only requirement for boot2 bootmii is a vulnerable boot1. When you run the hackmii installer it will tell you if you can or can not install boot2 bootmii, if it says no then you can not and there is nothing you can do about it. If boot2 bootmii is available you should install it, you should probably install priiloader also regardless. There are guides that get you from start to finish without issue, have a look at the stickies.

    You probably can install boot2 bootmii
     
  3. Lacius

    Member Lacius GBAtemp Psycho!

    Joined:
    May 11, 2008
    Messages:
    3,917
    Location:
    St. Louis, Missouri
    Country:
    United States
    If you download Priiloader through ModMii, it will install onto your system using IOS236, so there is no real need for a patched IOS36. I found myself needing a patched IOS36 for Gecko OS a few months back, but nothing else I can think of really requires it anymore.

    From what I can tell by your sysCheck, you should use ModMii to install all of the recommended IOS/cIOS files. In fact, you can just drag your sysCheck into ModMii and have it setup the rest. You cannot install bootmii as boot2, only as IOS. It's a hardware thing. No amount of patching IOS36 will help you, haha.

    So for your goals:

    1. Use the Priiloader installer in ModMii. It will use IOS236 to install Priiloader onto your system safely. You cannot install bootmii as boot2. Period.
    2. Use the sysCheck feature in ModMii to install all the recommended IOS files. Then install whatever forwarder channels you want.
    3. You don't need a patched IOS36, and it will not fix your bootmii as boot2 situation, so don't worry about it.
     
  4. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    The possibility to install bootmii at boot2 is not a hardware thing. It depends upon the rev. of boot1 on your wii. The oldest have the strcmp bug that allows the installation of it. Ninty removed that bug on it's newer models, so it's no longer possible.
     
  5. smf

    Member smf GBAtemp Advanced Fan

    Joined:
    Feb 23, 2009
    Messages:
    839
    Country:
    United Kingdom
    However you can't succesfully change the revision of boot1 because of "a hardware thing".
     
  6. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    boot0 resides in mask rom and decrypts, verifies and runs boot1.
    So, maybe they changed the starlet revision with a new boot0 requiring a new boot1
    If you see it that way, everything is a hardware issue.
    If you have a brick, it's a hardware issue as well as everything is stored on the nand flash chip, and that is hardware...

    Never mind...
     
  7. MasterCAPS
    OP

    Newcomer MasterCAPS Member

    Joined:
    Jun 24, 2012
    Messages:
    11
    Country:
    United States
    Ok let me get this stright before I go installing priiloader: Based on my sysCheck I have ios236 (Trucha Bug, ES Identify, NAND Access) "which is just a patched ahbprot 36 in the 236slot"..... Therefore if I run the priiloader app from the modmii than it will install to the 236, and modify my system menu(70) to load before the heath screen?

    Im just being extra carefull because there are so many forums out there discrediting priiloader as a brick-ware/crap-ware, but it seems like I need it
     
  8. ddetkowski

    Member ddetkowski GBAtemp Maniac

    Joined:
    Jun 15, 2009
    Messages:
    1,141
    Location:
    United States
    Country:
    United States
    PM xflak on your worries, he will set you straight.
     
  9. JoostinOnline

    Member JoostinOnline Certified Crash Test Dummy

    Joined:
    Apr 2, 2011
    Messages:
    10,835
    Location:
    The Twilight Zone
    Country:
    United States
    I patch IOS36. It doesn't hurt anything, and it just increases compatibility. Don't use the patched one from ModMii, since it has an older version of IOS36 (I never understood why XFlak won't update it). Instead run the bat file in this download and run the express patcher in the included MMM.
     
  10. MasterCAPS
    OP

    Newcomer MasterCAPS Member

    Joined:
    Jun 24, 2012
    Messages:
    11
    Country:
    United States
    OK so priiloader likes to use 236 or patched 36 (no differencce really)

    But doesnt it mod my system menu to load before heath screen or anything else? (In may case 4.2u=IOS70) = chance of brick
    so it patches my ios70 (system menu) to inject prii loader in there (TELL ME IF this is correct)

    What are all the absolute prerquisets before even considering installing priiloader (I hear without proper pre-setup priiloader will patch you system menu and brick your wii..... The last thing i need is a brick protector to brick my wii)
     

Share This Page